Bug 122326 - can't print (keep Bugzilla happy with longer subject)
can't print (keep Bugzilla happy with longer subject)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-03 06:25 EDT by Mikel Ward
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 13:47:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Mozilla PostScript output file from printing a Bugzilla page (196.77 KB, application/octet-stream)
2004-05-03 07:03 EDT, Mikel Ward
no flags Details

  None (edit)
Description Mikel Ward 2004-05-03 06:25:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040422 Epiphany/1.1.12

Description of problem:
After upgrading from Fedora Core 1 to Fedora Core 2 Test 3 and
reconfiguring my USB printer, I am now unable to print from either
Mozilla or Epiphany.

I am able to print from system-config-printer (text and PostScript),
from lpr on the command line, and from CUPS-friendly GNOME
applications such as GEdit and Ximian Evolution.  Both Mozilla and
Epiphany seem to want to pipe their generated postscript to lpr, but
it doesn't seem to work; I don't see any errors, no print job appears
in the queue, and no document is printed.

cups-1.1.20-6
epiphany-1.1.12-0
hpijs-1.6-1
mozilla-1.6-3


Version-Release number of selected component (if applicable):
mozilla-1.6-3

How reproducible:
Always

Steps to Reproduce:
1. Open Epiphany
2. Navigate to a web page
3. File->Print
4. Click Print (accepting default value of lpr)
    

Actual Results:  Nothing.  Same problem with Mozilla.

Expected Results:  Print job is generated, sent to the print spooler,
then printed.

Additional info:
Comment 1 Mikel Ward 2004-05-03 06:43:06 EDT
Changing Mozilla to print to a PostScript file mozilla.ps generates
a non-empty file, however attempting to open it in GNOME Ghostscript
Viewer (GGV) shows three blank pages with an error message in the
status bar: "File is not a valid PostScript document.".

Attempting to print this file using "lpr" exhibits the same symptoms
as printing the file using the menus in Mozilla or Ephy.

The first few lines of the generated file follow.  I had wondered if
the printing backend (CUPS and HPIJS) didn't handle PostScript 3.0,
but this seems unlikely as I've printed other PostScript 3.0
documents only moments ago (such as a manual page generated by
GNU roff groff-1.18.1-34 which had a similar PostScript 3.0 header).

%!PS-Adobe-3.0
%%BoundingBox: 18 18 577.45 823.7
%%Creator: Mozilla PostScript module (rv:1.6/2004042215)
%%DocumentData: Clean8Bit
%%DocumentPaperSizes: A4
%%Orientation: Portrait
%%Pages: (atend)
%%PageOrder: Ascend
%%EndComments
% MozillaCharsetName: iso-8859-1
Comment 2 Mikel Ward 2004-05-03 07:03:50 EDT
Created attachment 99905 [details]
Mozilla PostScript output file from printing a Bugzilla page

This file also crashes GNU GhostScript 7.07 (try running ps2pdf on it).
Comment 3 Mikel Ward 2004-05-09 05:45:05 EDT
GhostScript was dying when loading some of Adobe Type1 fonts I had
installed that do not come standard with Fedora such as Helvetica and
Times.

Removing those fonts is a temporary workaround.

I guess if there is a bug, it's more likely to be in GhostScript.

Comment 4 Matthew Miller 2005-04-26 11:22:50 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 5 John Thacker 2006-10-28 13:47:25 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported
version and retest.  If this still occurs on FC3 or FC4 and is a
security issue, please assign to that version and Fedora Legacy.  If it still
occurs on FC5 or FC6, please reopen and assign to the correct version.

mozilla itself is not shipped in FC6, so for most of these bugs that means
testing in FC5 or against firefox.

Note You need to log in before you can comment on or make changes to this bug.